WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Extensions from 4.x repo verified ok with tc-5  (Read 81341 times)

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #90 on: October 02, 2013, 10:43:31 AM »
libssl-0.9.8.tcz confirmed to work with no modification on TC5 (for gftp2).

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #91 on: October 02, 2013, 10:56:57 AM »
eglibc_gconv, eglibc_i18n_locale and eglibc_apps have been replaced by glibc_gconv, glibc_i18n_locale and glibc_apps in the tc-5.x repo.

libssl-0.9.8 has been replaced libssl-1.0.0 in the tc-5.x repo

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #92 on: October 02, 2013, 12:32:38 PM »
OK. Thanks for the tip. The .dep files for getlocale and gftp2 should be changed accordingly, then.

And aircrack-ng too (libssl).
« Last Edit: October 02, 2013, 12:39:01 PM by theYinYeti »

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #93 on: October 02, 2013, 01:03:47 PM »
urxvt confirmed to work with Xorg-7.7-lib (from TC5) instead of Xorg-7.6-lib (from TC4).

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #94 on: October 02, 2013, 01:14:43 PM »
Here’s my report on extensions previously on TC4, that I tried to load on TC5:
...
thunderbird

The thunderbird dep file states that it depends on (amongst others) libstdc++-5.0.7 and xulrunner:
Code: [Select]
$ ldd `which thunderbird`
...
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7640000)
..indicates there is no need for the dep on libstdc++-5.0.7 and it starts without xulrunner - does it work without xulrunner?
Thunderbird seems to work OK (at least I can see my messages from the IMAPS server) with the following dep file:
Code: [Select]
openssl-1.0.0.tcz
gtk2.tcz
dbus-glib.tcz
libasound.tcz

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #95 on: October 02, 2013, 08:18:15 PM »
..The .dep files for getlocale and gftp2 should be changed accordingly, then.

And aircrack-ng too (libssl).

You'll need to try them - I'd guess they're (at least gftp2 and aircrack-ng) going to need re-compiling

Offline tinypoodle

  • Hero Member
  • *****
  • Posts: 3857
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #96 on: October 02, 2013, 08:41:04 PM »
Thunderbird seems to work OK (at least I can see my messages from the IMAPS server) with the following dep file:
Code: [Select]
openssl-1.0.0.tcz
gtk2.tcz
dbus-glib.tcz
libasound.tcz

A mail client with a dependency on libasound? Really now?
"Software gets slower faster than hardware gets faster." Niklaus Wirth - A Plea for Lean Software (1995)

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #97 on: October 02, 2013, 09:48:05 PM »
"you've got Mail!!!"  ;D
« Last Edit: October 02, 2013, 09:51:34 PM by coreplayer2 »

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #98 on: October 02, 2013, 11:39:32 PM »
A mail client with a dependency on libasound? Really now?
Why not? Thunderbird can play a sound for some events.

Offline thane

  • Hero Member
  • *****
  • Posts: 644
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #99 on: October 03, 2013, 01:55:24 AM »
FWIW, spider.tcz appears to work  :)

You gotta start somewhere...
« Last Edit: October 03, 2013, 02:00:46 AM by thane »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #100 on: October 03, 2013, 05:08:52 AM »
cabextract, java-installer, rox-filer, freemind, urxvt, spider and thunderbird copied over

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #101 on: October 04, 2013, 03:10:00 AM »
apache2-mod-php5, ddrescue, foremost, getlocale, httptunnel, iodine, iproute2, nbtscan, pygame, rarcrack, screen, scrounge-ntfs, socat, sshfs-fuse, testdisk, typespeed, tzdata and xtrlock copied over
« Last Edit: October 04, 2013, 04:15:14 AM by Juanito »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #102 on: October 04, 2013, 04:17:52 AM »
inflator depends on aircrack, which depends on openssl-0.9.8 so it will need re-compiling against openssl-1.0.0
nmap depends on libnl1 so it will need recompiling against libnl

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7022
    • My Community Forum
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #103 on: October 06, 2013, 10:46:34 PM »
inflator depends on aircrack, which depends on openssl-0.9.8 so it will need re-compiling against openssl-1.0.0
nmap depends on libnl1 so it will need recompiling against libnl

aircrack-ng updated
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline jls

  • Hero Member
  • *****
  • Posts: 2133
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #104 on: October 07, 2013, 02:41:08 AM »
plz copy google-talkplugin over the 5.x repo.
thx
dCore user